SDL_GL_LoadLibrary(3)

NAME
SDL_GL_LoadLibrary - Dynamically load an OpenGL library.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_LoadLibrary(const char *path);

DESCRIPTION
This should be done after initializing the video driver, but before creating any OpenGL windows. If no OpenGL library is loaded, the default library will be loaded upon creation of the first OpenGL window. If you do this, you need to retrieve all of the GL functions used in your program from the dynamic library using SDL_GL_GetProcAddress ().

FUNCTION PARAMETERS

path
    the platform dependent OpenGL library name, or NULL to open the default OpenGL library

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_GetProcAddress(3), SDL_GL_UnloadLibrary(3)